#!/bin/sh

error() {
  echo "$(basename $0): fatal error, $1 failed"
  exit 1
}

if [ ! -c /dev/.devfsd ]; then
  for i in 0 1 2 3 4 5 6 7; do
      node="/dev/nvidia$i"
      rm -f $node
      mknod $node c 195 $i || error "mknod \"$node\""
      chmod 0666 $node     || error "chmod \"$node\""
  done
  node="/dev/nvidiactl"
  rm -f $node        
  mknod $node c 195 255    || error "mknod \"$node\""
  chmod 0666 $node         || error "chmod \"$node\""
fi

if [ -d /etc/udev/devices ]; then
  for i in 0 1 2 3 4 5 6 7; do
      node="/etc/udev/devices/nvidia$i"
      rm -f $node
      mknod $node c 195 $i || error "mknod \"$node\""
      chmod 0666 $node     || error "chmod \"$node\""
  done
  node="/etc/udev/devices/nvidiactl"
  rm -f $node        
  mknod $node c 195 255    || error "mknod \"$node\""
  chmod 0666 $node         || error "chmod \"$node\""
fi

exit 0
